$!-----------------------------------------------------------------------------
$! BUILD_HYPERSPI.COM
$! Builds the HYPERSPI utility for both VAX and AXP systems (separately)
$!
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 20-JUN-95  MGD  initial development
$!-----------------------------------------------------------------------------
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture"
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC /DEFINE=(__VMS) /NODEBUG /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "HYPERSPI_VAX.OPT/OPTIONS"
$ ELSE
$    CC_OPTIONS = "/NODEBUG /DEFINE=(__VMS) /OBJECT=''OBJECT_DIR' /STANDARD=VAXC"
$    LINK_OPTIONS = "HYPERSPI_AXP.OPT/OPTIONS"
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' HyperSpi
$    CC 'CC_OPTIONS' PlotSpi
$    CC 'CC_OPTIONS' GifSpi
$!   F$VERIFY(0)
$    SET ON
$ ENDIF
$ IF P1 .EQS. "" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=HT_EXE:HYPERSPI.EXE -
     'OBJECT_DIR'HyperSpi, -
     'OBJECT_DIR'PlotSpi, -
     'OBJECT_DIR'GifSpi, -
     []'LINK_OPTIONS'
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ SET PROTECTION=W:RE HT_EXE:HYPERSPI.EXE
$ PURGE /NOLOG 'OBJECT_DIR'
$!-----------------------------------------------------------------------------
